var _typeof = babel_require("./typeof"), assertThisInitialized = babel_require("./assertThisInitialized");

function _possibleConstructorReturn(e, t) {
    return !t || "object" !== _typeof(t) && "function" != typeof t ? assertThisInitialized(e) : t;
}

gmodule.exports = _possibleConstructorReturn;